/*
   Test FIconvol

   $Id: tFIconvol.c 1.2 1999/06/04 libtsp-v3r1 $
*/

#include <string.h>

#include <libtsp.h>

#define NMAX	128


int
main (int argc, const char *argv[])

{
  int i, k;
  int Nx, Nh, Nout;
  float x[NMAX];
  float h[NMAX];

  k = 1;
  for (i = 0; k < argc - 1; ++k, ++i) {
    if (strcmp (argv[k], "//") == 0)
      break;
    sscanf (argv[k], "%g", &x[i]);
  }
  Nx = i;

  for (++k, i = 0; k < argc; ++k, ++i)
    sscanf (argv[k], "%g", &h[i]);
  Nh = i;

  VRfPrint (stdout, "x:", x, Nx);
  VRfPrint (stdout, "h:", h, Nh);
  Nout = Nx - (Nh-1);
  FIconvol (x, x, Nout, h, Nh);
  VRfPrint (stdout, "x * h:", x, Nx);

  return 0;
}
