/*
   Test MSconvCof

   $Id: tMSconvCof.c 1.2 1999/06/04 libtsp-v3r1 $
*/

#include <string.h>

#include <libtsp.h>

#define NMAX	128


int
main (int argc, const char *argv[])

{
  int i, k;
  int Nx, Ny, Nz;
  float x[NMAX];
  float y[NMAX];

  k = 1;
  for (i = 0; k < argc - 1; ++k, ++i) {
    if (strcmp (argv[k], "//") == 0)
      break;
    sscanf (argv[k], "%g", &x[i]);
  }
  Nx = i;

  for (++k, i = 0; k < argc; ++k, ++i)
    sscanf (argv[k], "%g", &y[i]);
  Ny = i;

  VRfPrint (stdout, "x:", x, Nx);
  VRfPrint (stdout, "y:", y, Ny);
  Nz = Nx + Ny - 1;
  MSconvCof (x, Nx, y, Ny, x);
  VRfPrint (stdout, "x * y:", x, Nz);

  return 0;
}
