/*-------------- Telecommunications & Signal Processing Lab ---------------
                             McGill University

Routine:
  void VRfSet (double a, float y[], int N)

Purpose:
  Set each element in an array of floats to a given value

Description:
  This routine sets each element in a given float vector to the value a,
    y[i] = a,  0 <= i < N.

Parameters:
   -> double a
      Value to be set
  <-  float y[]
      Array of floats (N elements)
   -> int N
      Number of elements

Author / revision:
  P. Kabal  Copyright (C) 1999
  $Revision: 1.5 $  $Date: 1999/06/12 21:41:58 $

-------------------------------------------------------------------------*/

static char rcsid[] = "$Id: VRfSet.c 1.5 1999/06/12 libtsp-v3r1 $";

#include <libtsp.h>


void
VRfSet (double a, float y[], int N)

{
  int i;

  for (i = 0; i < N; ++i)
    y[i] = (float) a;

  return;
}
