/*
   Test VRfLog10, VRfPow10, VRfCopy, and VRfAmpldB

   $Id: tVRfx2y.c 1.7 1999/06/05 libtsp-v3r1 $
*/

#include <libtsp.h>

#define NMAX	128


int
main (int argc, const char *argv[])

{
  float x[NMAX];
  float y[NMAX];
  int i, k, N;
  const char *cr;
  char *rout;

  cr = argv[1];
  k = 2;
  N = argc - k;

  for (i = 0; i < N; ++i, ++k)
    sscanf (argv[k], "%g", &x[i]);
  VRfPrint (stdout, "Input data:", x, N);

  if (cr[0] == 'L') {
    rout = "VRfLog10:";
    VRfLog10 (x, y, N);
  }
  else if (cr[0] == 'P') {
    rout = "VRfPow10:";
    VRfPow10 (x, y, N);
  }
  else if (cr[0] == 'C') {
    rout = "VRfCopy:";
    VRfCopy (x, y, N);
  }
  else if (cr[0] == 'A') {
    rout = "VRfAmpldB:";
    VRfAmpldB (x, y, N);
  }
  else if (cr[0] == 'R') {
    rout = "VRfRev:";
    VRfRev(x, y, N);
  }

  VRfPrint (stdout, rout, y, N);

  return 0;
}
