/*
   Test VRfMin, VRfMax, VRfSum, and VRfCheckSym

   $Id: tVRfx2v.c 1.6 1999/06/05 libtsp-v3r1 $
*/

#include <libtsp.h>

#define NMAX	128


int
main (int argc, const char *argv[])

{
  float x[NMAX];
  int i, k, N;
  const char *cr;
  char *rout;
  double xx;

  cr = argv[1];
  k = 2;
  N = argc - k;

  for (i = 0; i < N; ++i, ++k)
    sscanf (argv[k], "%g", &x[i]);
  VRfPrint (stdout, "Input data:", x, N);

  if (cr[0] == 'L') {
    rout = "VRfMin";
    xx = VRfMin (x, N);
  }
  else if (cr[0] == 'U') {
    rout = "VRfMax";
    xx = VRfMax (x, N);
  }
  else if (cr[0] == 'S') {
    rout = "VRfSum";
    xx = VRfSum (x, N);
  }
  else if (cr[0] == 'C') {
    rout = "VRfCheckSym";
    xx = VRfCheckSym (x, N);
  }

  printf ("%s: %g\n", rout, xx);

  return 0;
}
